%define upstream_name    RTF-Writer
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    for generating documents in Rich Text Format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RTF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Path)
BuildRequires: perl(Image::Size)
BuildRequires: perl(UNIVERSAL)
BuildRequires: perl(strict)
BuildArch: noarch


%description
This module is for generating documents in Rich Text Format. 

This module is a class; an object belonging to this class acts like an
output filehandle, and calling methods on it causes RTF text to be written.

Incidentally, this module also exports a few useful functions, upon
request.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc ChangeLog README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.110.0-10.mga8
+ Revision: 1497110
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.110.0-9.mga7
+ Revision: 1271018
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.110.0-8.mga6
+ Revision: 1032998
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.110.0-7.mga6
+ Revision: 949661
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.110.0-6.mga5
+ Revision: 790170
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 740861
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 686086
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.110.0-3.mga4
+ Revision: 514460
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 372219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 37198
- mageia rebuild
- imported package perl-RTF-Writer


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.110.0-1mdv2010.0
+ Revision: 404359
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.11-4mdv2009.0
+ Revision: 258331
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.11-3mdv2009.0
+ Revision: 246409
- rebuild

* Mon Mar 03 2008 Olivier Thauvin <nanardon@mandriva.org> 1.11-1mdv2008.1
+ Revision: 178007
- import perl-RTF-Writer


